Page MenuHomePhabricator

CreateMassMessageList source field should be hidden until needed
Closed, ResolvedPublic

Description

When I go to http://mm-ch.wmflabs.org/wiki/Special:CreateMassMessageList currently, there's a disabled source text input field that gets enabled when "Import pages from an existing list or category" is selected.

I think this extra text input is an advanced feature that should follow progressive disclosure principles. Unless the user needs this extra input, we should hide it.

The disabled text input is also terribly difficult to distinguish from an enabled text input in some browsers. Using hide/unhide rather than disabled/enabled would resolve this display issue.

I'm also still a bit unsure about the use of radio buttons, but that's really a separate matter.


Version: unspecified
Severity: enhancement
Whiteboard: gci2014
URL: http://mm-ch.wmflabs.org/wiki/Special:CreateMassMessageList

Details

Reference
bz70520
Related Gerrit Patches:
mediawiki/extensions/MassMessage : masterImplement AJAX warnings for CreateMassMessageList

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:56 AM
bzimport added projects: MassMessage, Design.
bzimport set Reference to bz70520.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.Sep 7 2014, 1:31 PM
Unicodesnowman set Security to None.

Change 178183 had a related patch set uploaded (by Unicodesnowman):
Implement AJAX warnings for CreateMassMessageList

https://gerrit.wikimedia.org/r/178183

Patch-For-Review

Change 178183 merged by jenkins-bot:
Implement AJAX warnings for CreateMassMessageList

https://gerrit.wikimedia.org/r/178183

Legoktm closed this task as Resolved.Dec 10 2014, 5:25 PM